notifications resource endpoint
URL: /users/<id>/notifications.<format>
Supported Methods
| GET | Get a list of events describing actions by users that the selected user is following. |
Query String Arguments
- start-index
- Index of the first item to return. The first item in the list has index 1.
- max-results
- Maximum number of items to return in the list response.
Resource Type
This endpoint returns an object of type List<Event>.
- entries (array<Event>)
- The items within the selected range.
- totalResults (integer)
- The total number of items in the whole list of which this object is a chunk.
Client Library Methods for PHP
- Get a list of events describing actions by users that the selected user is following.
$tp->users->getNotifications(array( # Required Parameters "id" => $id, # Optional Parameters "limit" => $limit, "offset" => $offset, ))
Filter Endpoints
The following endpoints provide filtered views of this collection:
| by-group | Get a list of events describing actions in a particular group by users that the selected user is following. |
Example Request
GET /users/6p012877b13de7970c/notifications.json?max-results=4 HTTP/1.1
Host: api.typepad.com
HTTP/1.0 200 OK
Content-type: application/json
Content-length: 45
{
"entries": [],
"totalResults": 0
}